package com.ruoyi.kaohe.service;

import java.util.List;

import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.kaohe.domain.KhKhrwResult;
import com.ruoyi.kaohe.domain.KhPingce;

/**
 * 考核结果Service接口
 * 
 * @author hs
 * @date 2025-07-05
 */
public interface IKhKhrwResultService 
{
    /**
     * 查询考核结果
     * 
     * @param id 考核结果主键
     * @return 考核结果
     */
    public KhKhrwResult selectKhKhrwResultById(Long id);

    /**
     * 查询考核结果列表
     * 
     * @param khKhrwResult 考核结果
     * @return 考核结果集合
     */
    public List<KhKhrwResult> selectKhKhrwResultList(KhKhrwResult khKhrwResult);

    /**
     * 新增考核结果
     * 
     * @param khKhrwResult 考核结果
     * @return 结果
     */
    public int insertKhKhrwResult(KhKhrwResult khKhrwResult);

    /**
     * 修改考核结果
     * 
     * @param khKhrwResult 考核结果
     * @return 结果
     */
    public int updateKhKhrwResult(KhKhrwResult khKhrwResult);

    /**
     * 批量删除考核结果
     * 
     * @param ids 需要删除的考核结果主键集合
     * @return 结果
     */
    public int deleteKhKhrwResultByIds(Long[] ids);

    /**
     * 删除考核结果信息
     * 
     * @param id 考核结果主键
     * @return 结果
     */
    public int deleteKhKhrwResultById(Long id);

    AjaxResult generateResult(KhPingce pc,boolean isUpdate);
}
